package base

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

type AttributeDAO interface {
	//插入Attribute
	InsertOne(entity *model.Attribute) error
	//删除指定键的Attribute
	DeleteOne(attrCode int) error
	//查找指定键的Attribute
	SelectOne(attrCode int) (*model.Attribute, error)
	//修改Attribute
	UpdateOne(entity *model.Attribute) error
	//按条件查询Attribute
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.Attribute, error)
	//按条件查询Attribute并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewAttributeDAO(session *xorm.Session, plantNr int, userid string) AttributeDAO {
	return implments.NewAttributeDAOImplement(session, plantNr, userid)
}
