package base

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

type AttributeGroupDAO interface {
	//插入AttributeGroup
	InsertOne(entity *model.AttributeGroup) error
	//删除指定键的AttributeGroup
	DeleteOne(attrGrpCode int) error
	//查找指定键的AttributeGroup
	SelectOne(attrGrpCode int) (*model.AttributeGroup, error)
	//修改AttributeGroup
	UpdateOne(entity *model.AttributeGroup) error
	//按条件查询AttributeGroup
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.AttributeGroup, error)
	//按条件查询AttributeGroup并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewAttributeGroupDAO(session *xorm.Session, plantNr int, userid string) AttributeGroupDAO {
	return implments.NewAttributeGroupDAOImplement(session, plantNr, userid)
}
