package base

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

type CostCenterDAO interface {
	//插入CostCenter
	InsertOne(entity *model.CostCenter) error
	//删除指定键的CostCenter
	DeleteOne(costCenterId string) error
	//查找指定键的CostCenter
	SelectOne(costCenterId string) (*model.CostCenter, error)
	//修改CostCenter
	UpdateOne(entity *model.CostCenter) error
	//按条件查询CostCenter
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.CostCenter, error)
	//按条件查询CostCenter并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewCostCenterDAO(session *xorm.Session, plantNr int, userid string) CostCenterDAO {
	return implments.NewCostCenterDAOImplement(session, plantNr, userid)
}
