package base

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

type DayModelDAO interface {
	//插入DayModel
	InsertOne(entity *model.DayModel) error
	//删除指定键的DayModel
	DeleteOne(dayModelNr int) error
	//查找指定键的DayModel
	SelectOne(dayModelNr int) (*model.DayModel, error)
	//修改DayModel
	UpdateOne(entity *model.DayModel) error
	//按条件查询DayModel
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.DayModel, error)
	//按条件查询DayModel并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewDayModelDAO(session *xorm.Session, plantNr int, userid string) DayModelDAO {
	return implments.NewDayModelDAOImplement(session, plantNr, userid)
}
