package base

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

type StatusColorDAO interface {
	//插入StatusColor
	InsertOne(entity *model.StatusColor) error
	//删除指定键的StatusColor
	DeleteOne(statusObj string, statusVal string) error
	//查找指定键的StatusColor
	SelectOne(statusObj string, statusVal string) (*model.StatusColor, error)
	//修改StatusColor
	UpdateOne(entity *model.StatusColor) error
	//按条件查询StatusColor
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.StatusColor, error)
	//按条件查询StatusColor并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewStatusColorDAO(session *xorm.Session, plantNr int, userid string) StatusColorDAO {
	return implments.NewStatusColorDAOImplement(session, plantNr, userid)
}
