package base

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

type WorkCalendarDAO interface {
	//插入WorkCalendar
	InsertOne(entity *model.WorkCalendar) error
	//删除指定键的WorkCalendar
	DeleteOne(workCalendarNr int) error
	//查找指定键的WorkCalendar
	SelectOne(workCalendarNr int) (*model.WorkCalendar, error)
	//修改WorkCalendar
	UpdateOne(entity *model.WorkCalendar) error
	//按条件查询WorkCalendar
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.WorkCalendar, error)
	//按条件查询WorkCalendar并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewWorkCalendarDAO(session *xorm.Session, plantNr int, userid string) WorkCalendarDAO {
	return implments.NewWorkCalendarDAOImplement(session, plantNr, userid)
}
