package base

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

type WorkLineDAO interface {
	//插入WorkLine
	InsertOne(entity *model.WorkLine) error
	//删除指定键的WorkLine
	DeleteOne(workLineid string) error
	//查找指定键的WorkLine
	SelectOne(workLineid string) (*model.WorkLine, error)
	//修改WorkLine
	UpdateOne(entity *model.WorkLine) error
	//按条件查询WorkLine
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.WorkLine, error)
	//按条件查询WorkLine并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewWorkLineDAO(session *xorm.Session, plantNr int, userid string) WorkLineDAO {
	return implments.NewWorkLineDAOImplement(session, plantNr, userid)
}
