package base

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/base/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/base"
	"github.com/go-xorm/xorm"
)

type WorkShiftDAO interface {
	//插入WorkShift
	InsertOne(entity *model.WorkShift) error
	//删除指定键的WorkShift
	DeleteOne(workShiftNr int) error
	//查找指定键的WorkShift
	SelectOne(workShiftNr int) (*model.WorkShift, error)
	//修改WorkShift
	UpdateOne(entity *model.WorkShift) error
	//按条件查询WorkShift
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.WorkShift, error)
	//按条件查询WorkShift并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewWorkShiftDAO(session *xorm.Session, plantNr int, userid string) WorkShiftDAO {
	return implments.NewWorkShiftDAOImplement(session, plantNr, userid)
}
