package log

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/log/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/log"
	"github.com/go-xorm/xorm"
)

type VendorArtLstDAO interface {
	//插入VendorArtLst
	InsertOne(entity *model.VendorArtLst) error
	//删除指定键的VendorArtLst
	DeleteOne(artId string) error
	//查找指定键的VendorArtLst
	SelectOne(artId string) (*model.VendorArtLst, error)
	//修改VendorArtLst
	UpdateOne(entity *model.VendorArtLst) error
	//按条件查询VendorArtLst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.VendorArtLst, error)
	//按条件查询VendorArtLst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewVendorArtLstDAO(session *xorm.Session, plantNr int, userid string) VendorArtLstDAO {
	return implments.NewVendorArtLstDAOImplement(session, plantNr, userid)
}
