package ods

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/ods/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/ods"
	"github.com/go-xorm/xorm"
)

type OdsHeadDAO interface {
	//插入OdsHead
	InsertOne(entity *model.OdsHead) error
	//删除指定键的OdsHead
	DeleteOne(odsId string) error
	//查找指定键的OdsHead
	SelectOne(odsId string) (*model.OdsHead, error)
	//修改OdsHead
	UpdateOne(entity *model.OdsHead) error
	//按条件查询OdsHead
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.OdsHead, error)
	//按条件查询OdsHead并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewOdsHeadDAO(session *xorm.Session, plantNr int, userid string) OdsHeadDAO {
	return implments.NewOdsHeadDAOImplement(session, plantNr, userid)
}
