package om

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/om/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/om"
	"github.com/go-xorm/xorm"
)

type ProdOrderDAO interface {
	//插入ProdOrder
	InsertOne(entity *model.ProdOrder) error
	//删除指定键的ProdOrder
	DeleteOne(prodOrderId string) error
	//查找指定键的ProdOrder
	SelectOne(prodOrderId string) (*model.ProdOrder, error)
	//修改ProdOrder
	UpdateOne(entity *model.ProdOrder) error
	//按条件查询ProdOrder
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.ProdOrder, error)
	//按条件查询ProdOrder并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewProdOrderDAO(session *xorm.Session, plantNr int, userid string) ProdOrderDAO {
	return implments.NewProdOrderDAOImplement(session, plantNr, userid)
}
