package qm

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/qm/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/qm"
	"github.com/go-xorm/xorm"
)

type ArtViewDAO interface {
	//插入ArtView
	InsertOne(entity *model.ArtView) error
	//删除指定键的ArtView
	DeleteOne(artId string, viewId string) error
	//查找指定键的ArtView
	SelectOne(artId string, viewId string) (*model.ArtView, error)
	//修改ArtView
	UpdateOne(entity *model.ArtView) error
	//按条件查询ArtView
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.ArtView, error)
	//按条件查询ArtView并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewArtViewDAO(session *xorm.Session, plantNr int, userid string) ArtViewDAO {
	return implments.NewArtViewDAOImplement(session, plantNr, userid)
}
