package qm

import (
	"LAPP_GAAS_GFrame_BACKEND/dao/qm/implments"
	"LAPP_GAAS_GFrame_BACKEND/grmi"
	model "LAPP_GAAS_GFrame_BACKEND/models/qm"
	"github.com/go-xorm/xorm"
)

type ViewDAO interface {
	//插入View
	InsertOne(entity *model.View) error
	//删除指定键的View
	DeleteOne(viewId string) error
	//查找指定键的View
	SelectOne(viewId string) (*model.View, error)
	//修改View
	UpdateOne(entity *model.View) error
	//按条件查询View
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.View, error)
	//按条件查询View并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewViewDAO(session *xorm.Session, plantNr int, userid string) ViewDAO {
	return implments.NewViewDAOImplement(session, plantNr, userid)
}
